# Method: liens.list

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/list#body.HTTP_TEMPLATE)
- [Query parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/list#body.request_body)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/liens/list#try-it)

List all Liens applied to the `parent` resource.

Callers of this method will require permission on the `parent` resource. For example, a Lien with a `parent` of `projects/1234` requires permission `resourcemanager.projects.get`.

### HTTP request

`GET https://cloudresourcemanager.googleapis.com/v1/liens`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the resource to list all attached Liens. For example, `projects/1234`. (google.api.field_policy).resource_type annotation is not set since the parent depends on the meta api implementation. This field could be a project or other sub project resources. |
| `pageSize` | `integer` The maximum number of items to return. This is a suggestion for the server. The server can return fewer liens than requested. If unspecified, server picks an appropriate default. |
| `pageToken` | `string` The `nextPageToken` value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/ListLiensResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloudplatformprojects`
- `https://www.googleapis.com/auth/cloudplatformprojects.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).